# Class Configuration#getPictureMode

Configuration

- Defined in: configuration.js

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Configuration#getPictureMode(successCallback, errorCallback) Gets picture mode.

## Class Detail

Configuration#getPictureMode(successCallback, errorCallback)
Gets picture mode. Each PictureMode has a set of predefined picture properties.

    // Javascript code
    function getPictureMode () {
      function successCb(cbObject) {
         console.log("cbObject : " + JSON.stringify(cbObject));
         console.log("mode : " + cbObject.mode);

         // Do something
            ...
      }

      function failureCb(cbObject) {
         var errorCode = cbObject.errorCode;
         var errorText = cbObject.errorText;
         console.log ("Error Code [" + errorCode + "]: " + errorText);
      }

      var configuration = new Configuration();
      configuration.getPictureMode(successCb, failureCb);
    }

Parameters:
{Function} successCallback
  success callback function.
{Function} errorCallback
  failure callback function.

Since:
  1.0
Returns:
  {Object}

  Property | Type | Description
  --- | --- | ---
  mode | String | Configuration.PictureMode

See:
  Configuration.setPictureMode()